mm2 & mm3 update to 3.5

Archived from groups: rec.games.frp.misc (More info?)

Anyone know when (if?) mm2 and mm3 3.5 compatible editions will appear?
I'm interested in buying these books, but if they're being updated
soon, I'd rather wait...

I couldn't find any info on the WOTC site.
4 answers Last reply
More about update
  1. Archived from groups: rec.games.frp.misc (More info?)

    On 4 Mar 2005 07:17:16 -0800, "MrHat" <lafebre@bigpond.com> wrote:

    >Anyone know when (if?) mm2 and mm3 3.5 compatible editions will appear?
    >I'm interested in buying these books, but if they're being updated
    >soon, I'd rather wait...
    >
    >I couldn't find any info on the WOTC site.

    Shouldn't this be in rgfd? Anyway, there almost certainly isn't going to be
    an update for MM2. MM3 is already 3.5.


    --
    Hong Ooi | "My hate of d02 know no limit"
    hong@zipworld.com.au | -- asw, on rpg.net
    http://www.zipworld.com.au/~hong/dnd/ |
    Sydney, Australia |
  2. Archived from groups: rec.games.frp.misc (More info?)

    Hong Ooi <hong@zipworld.com.au> typed:

    >On 4 Mar 2005 07:17:16 -0800, "MrHat" <lafebre@bigpond.com> wrote:
    >
    >>Anyone know when (if?) mm2 and mm3 3.5 compatible editions will appear?
    >>I'm interested in buying these books, but if they're being updated
    >>soon, I'd rather wait...
    >>
    >>I couldn't find any info on the WOTC site.
    >
    >Shouldn't this be in rgfd? Anyway, there almost certainly isn't going to be
    >an update for MM2. MM3 is already 3.5.

    There's a web update for MM2:
    http://www.wizards.com/default.asp?x=dnd/dnd/20030718a

    If you don't plan to do a lot of high-level adventuring, you don't
    really need MM2 anyway. No idea about MM3.

    --
    Jim or Sarah Davies, but probably Jim

    D&D and Star Fleet Battles stuff on http://www.aaargh.org
  3. Archived from groups: rec.games.frp.misc (More info?)

    Bruce Probst wrote:
    > On 4 Mar 2005 07:17:16 -0800, "MrHat" <lafebre@bigpond.com> wrote:
    >
    > >Anyone know when (if?) mm2 and mm3 3.5 compatible editions will
    appear?
    > >I'm interested in buying these books, but if they're being updated
    > >soon, I'd rather wait...
    > >
    > >I couldn't find any info on the WOTC site.
    >
    > It seems unlikely that a 3.5 version of MM2 will be published.
    Extensive
    > notes on the conversion of this book to 3.5 (and several other books)
    can be
    > found in the "3.5 Update Booklet" that you can download here:
    > http://www.wizards.com/default.asp?x=dnd/dnd/20030718a
    >
    > MM3 is *already* a 3.5 book. Why would you think otherwise?

    Fair enough. I stand corrected.

    Anyway, thanks guys.
  4. Archived from groups: rec.games.frp.misc (More info?)

    On 4 Mar 2005 07:17:16 -0800, "MrHat" <lafebre@bigpond.com> wrote:

    >Anyone know when (if?) mm2 and mm3 3.5 compatible editions will appear?
    >I'm interested in buying these books, but if they're being updated
    >soon, I'd rather wait...
    >
    >I couldn't find any info on the WOTC site.

    It seems unlikely that a 3.5 version of MM2 will be published. Extensive
    notes on the conversion of this book to 3.5 (and several other books) can be
    found in the "3.5 Update Booklet" that you can download here:
    http://www.wizards.com/default.asp?x=dnd/dnd/20030718a

    MM3 is *already* a 3.5 book. Why would you think otherwise?

    ----------------------------------------------------------------
    Bruce Probst bprobst@netspace.net.au
    Melbourne, Australia MSTie #72759
    "Eat lead, space pansy!"
    ASL FAQ http://www.users.bigpond.net.au/mantis/ASLFAQ
Ask a new question

Read More

Games Compatibility Video Games Books